<Project Sdk="Microsoft.NET.Sdk.WindowsDesktop">

  <PropertyGroup>
    <ViewerDir>..\..\Viewer</ViewerDir>
  </PropertyGroup>
    
  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFrameworks>netcoreapp3.1;net5.0-windows7.0</TargetFrameworks>
    <UseWindowsForms>true</UseWindowsForms>
    <ApplicationIcon>$(ViewerDir)\app.ico</ApplicationIcon>
    <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
    <Configurations>Debug;Release;Demo</Configurations>
  </PropertyGroup>
    
  <PropertyGroup Condition="'$(Configuration)'!='Debug'">
    <DebugType>none</DebugType>
    <DebugSymbols>false</DebugSymbols>
    <PublishReadyToRun>true</PublishReadyToRun>
  </PropertyGroup>


  <ItemGroup>
    <Compile Include="$(ViewerDir)\**\*.cs" Exclude="$(ViewerDir)\obj\**\*.*" />
  </ItemGroup>
    
  <ItemGroup>
    <ProjectReference Include="..\FastReport\FastReport.csproj" />
  </ItemGroup>
  
</Project>